/* tableField.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef TABLEFIELD_H
#define TABLEFIELD_H

#include "dataCell.h"
#include "tableInfo.h"

#include <string>

class TableField {
public:
  TableField();
  TableField(int field_id, DataCell::Type field_type, 
	     TableID foreign_table, const DataCell &default_value,
	     const string &field_name, const string &label);
	     
  
  string get_db_type() const;
  const DataCell &get_default_value() const;

  void insert_db(TableID table_id);

  int _field_id;
  DataCell::Type _field_type;
  TableID _foreign_table;
  DataCell _default_value;
  string _field_name;
  string _label;
};

#endif
